source defs.tcl
source construct.tcl

set tape {
  {nothing 0}

  {not 0} {lfuse 1} {ndelta 1} 
  {thrust 2} {store 0}
  {wire 0} {notnot 0} {lfuse 1} {delta 2}
  {ins 0} {toggle 2}  
  {maj 1} {toggle 1} {ndelta 3} {rfuse 3} {ins 0}
  {nothing 0}
  {thrust 1} {delta 1} {maj 1} {delta 1} {wire 1}  
  {toggle 1} {delta 3} {ndelta 3}  
  {thrust 3} {creator 2} {wire 2}
  {lfuse 2} 
  {lslide 1} {delta 1} {delta 1} {toggle 1}

  {nothing 0} {nothing 0}
  {nothing 0}

  {thrust 2} {lfuse 1} {ndelta 1} {thrust 1} {delta 2} {store 3} {rslide 3}
  {push 1} {toggle 3} {lslide 1} {delta 1} {maj 1}
  {maj 1} {not 1} {delta 1} {toggle 1}
  {rfuse 3} 
  {creator 2} {lfuse 2} {lfuse 1} {ndelta 1}
  {nothing 0}
  {store 0} {lfuse 1} {delta 0} {delta 0} {rfuse 3}
  {detect 2}
  {delta 2} {lslide 3} {not 0} {ndelta 1}
  {delta 2} {push 3} {delta 0} {rfuse 3} {push 0} {not 0}  
  {lslide 1} {delta 1} {toggle 1} {delta 3} {delta 3}

  {nothing 0}

  {thrust 2} {ndelta 3}
  {lfuse 1} {wire 1} {delta 2} {lfuse 1}
  {ndelta 1} {maj 0}
  {wire 1} {wire 1} {delta 1} {ndelta 1}
  {ndelta 1} {wire 1} {delta 2} {lunfuse 3} 
  {wire 0} {rfuse 1} {equal 1}
  {nothing 0} {nothing 0}
  {ndelta 1} {toggle 3} {maj 3} 
  {store 3} {delta 3} {rfuse 3} {ins 0}
  {push 1} {delta 2} {pulse 3} {rslide 3}
  {creator 2}
  {lfuse 2} {ins 0}
  {ndelta 1}
  {lslide 1} {delta 1} {toggle 1} {toggle 0} {detect 3}

  {nothing 0}

  {ins 0} {ndelta 3} {rfuse 3} {lslide 1} {delta 2} {ndelta 1} {delta 0}
  {rfuse 3} {delta 2} {ndelta 3}
  {equal 0} {pulse 0} {delta 0} 
  {store 0} {push 1} {delta 2} 
  {thrust 3} {nothing 0} {nothing 0}
  {nothing 0}
  {ndelta 0} {rfuse 3} {thrust 1} {delta 1}
  {pulse 1} {delta 2} {rslide 1} {maj 1}
  {toggle 3} {maj 3} {delta 3} {thrust 3}
  {lslide 1} {toggle 1} {toggle 0} {detect 3}

  {nothing 0}

  {delta 2} {wire 3} {delta 3} {pulse 3}
  {wire 3} {store 3} {rslide 3} {push 1} 
  {toggle 3} {delta 1} {wire 1} {wire 1}
  {delta 1} {wire 1} {delta 0} {lunfuse 3}
  {not 0} {rfuse 1} {equal 1} {ins 0}
  {nothing 0} 
  {not 3} {rfuse 3} {not 0} {push 1}
  {delta 2} {thrust 3} {toggle 3} {push 3}
  {toggle 3} {push 3} {lfuse 1} {delta 2}
  {delta 3} {store 3} {push 3} {ndelta 1}
  {lslide 1} {delta 1} {toggle 1} {rfuse 3} {ndelta 3}

  {nothing 0}
  {nothing 0} {nothing 0}
  {delta 0} {lfuse 3} {store 0}
}

set reader {
{{ins 0} {ins 0} {ins 0} {ins 0}
 {ins 0} {ins 0} {ins 0} {ins 0}
 {creator 0} {lfuse 0} {ins 0} {ndelta 90} {thrust 90}
 {ins 0} {ins 0} {ins 0} {ins 0}
 {ins 0} {ins 0} {ins 0} {ins 0}
 {ins 0} {ins 0} {ins 0} {ins 0}
 {ins 0} {ins 0} {ins 0} {ins 0}
 {ins 0} {ins 0} {ins 0} }
{{ins 0} {ins 0} {ins 0} {ins 0}
 {ins 0} {ins 0} {ins 0} {ins 0}
 {wire 0} {wire 0} {ins 0} {ndelta 90} {wire 90} {thrust 90}
 {ins 0} {ins 0} {ins 0} {ins 0}
 {ins 0} {ins 0} {ins 0} {ins 0}
 {ins 0} {ins 0} {ins 0} {ins 0}
 {ins 0} {ins 0} {ins 0} {ins 0}
 {ins 0} {ins 0} }
}



pushpos
makedna $tape
poppos

forward 32
right 90
forward -128
left 90

makemachine $reader
close $sock
