source defs.tcl
source construct.tcl

set toppart {
  {
    {ins 0} {lfuse 270} {not 270} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0}
    {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0}
    {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0}
    {ins 0} {ins 0}
    {ins 0} {ins 0}
  }
}

set midpart {
  {
    {null 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0}
    {delta 270} {not 270}
    {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0}
    {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0}
    {ins 0} {ins 0}
  }
}

set bottompart {
  {
    {ins 0} {rfuse 270} {not 270} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0}
    {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0}
    {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0}
    {ins 0} {ins 0}
    {ins 0} {ins 0}
  }
}

set joiner {
  {
    {delta 270}
    {not 270} {wire 270} {wire 270} {wire 270} {wire 270} {wire 270} {toggle 270}
    {ins 0} {ins 0} {ins 0} {ins 0} {ins 0} {ins 0}
    {toggle 270} {wire 90} {wire 90} {wire 90} {wire 90} {wire 90} {not 90}
    {delta 90}
  }

  {
    {thrust 180}
    {null 0} {null 0} {null 0} {null 0} {null 0} {null 0} {null 0}
    {null 0} {null 0} {null 0} {null 0} {null 0} {null 0}
    {null 0} {null 0} {null 0} {null 0} {null 0} {null 0} {null 0}
    {thrust 180}
  }

}

set zippertop {
  {
    {lfuse 270} {not 270} {ins 0} {thrust 270} {toggle 90} {not 90} {thrust 90}
  }
}

set zipperbottom {
  {
    {rfuse 270} {not 270} {ins 0} {thrust 270} {toggle 270} {not 90} {thrust 90}
  }
}

makemachine $bottompart
forward 64
makemachine $midpart
forward 64
makemachine $toppart

left 90
forward 48
right 90
forward 104
right 90

makemachine $joiner

forward [expr 16*20]
right 90
forward 152
left 180

makemachine $zippertop

right 180
forward 32
left 180

makemachine $zipperbottom

close $sock
